use eframe::egui::Ui;

use crate::sheet::Characteristic;

pub trait SheetGui
where
    Self: Sized,
{
    fn shortcut(
        &self,
        _ui: &mut Ui,
        _category: &str,
        _character_field: &Characteristic,
    ) -> (u32, u32, u32) {
        (0, 0, 0)
    }
    fn gui_address(&mut self, ui: &mut Ui);
    fn gui_stamina(&mut self, ui: &mut Ui);
    fn gui_luck(&mut self, ui: &mut Ui);
    fn gui_skill(&mut self, ui: &mut Ui);
    fn secondary_stats(&mut self, ui: &mut Ui);
}
